## ros-noetic-pcl-ros 1.7.4

=== debian/changelog ===
ros-noetic-pcl-ros (1.7.4-1buster) buster; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Paul Bovbel <paul@bovbel.com>  Wed, 09 Feb 2022 01:02:35 -0000

ros-noetic-pcl-ros (1.7.0-1buster) buster; urgency=high

  * Added option for fixed filename (via local parameter) (#102 <https://github.com/ros-perception/perception_pcl/issues/102>)
    (cherry picked from commit bd38533523fa5c00f320e6505a2c533e90f9d97e)
  * rewrote pcd_to_pointcloud to publish using a latched topic (#213 <https://github.com/ros-perception/perception_pcl/issues/213>)
    * pointcloud is published as a latched topic now
    * added functionality: ability to set config via parameters
  * Fix #150 <https://github.com/ros-perception/perception_pcl/issues/150>: Allow bag_to_pcd to properly respond to topic argument (#215 <https://github.com/ros-perception/perception_pcl/issues/215>)
    * Properly respond to topic argument fixing #150 <https://github.com/ros-perception/perception_pcl/issues/150>
    Previously providing a topic name in argv[2], as indicated in the usage string,
    modified the printouts indicating to the user that they were going to be
    exporting the correct topic, but the rosbag::View::Query used still grabbed the
    first sensor_msgs/PointCloud2 topic which was not necessarily what they had
    specified.
    * Added more useful printouts and type-checking on input topic
  * Catch tf::TransformException in transformPointCloud (#223 <https://github.com/ros-perception/perception_pcl/issues/223>)
    * Catch TransformException in transformPointCloud
    This allows to catch all exceptions, not only tf::LookupException and
    tf::ExtrapolationException.
    Note that most of the code using transformPointCloud already
    (implicitly) assumes this function doesn't throw any exception, and they
    check the return value, which is false when an exception happened (or
    something went wrong).
    * Check for transformPointCloud return value
    In pcl_ros/src/pcl_ros/io/concatenate_data.cpp, which seems to be the
    only place where that check was missed.
  * Split off pcl_ros_filter into separate library (#239 <https://github.com/ros-perception/perception_pcl/issues/239>)
  * [Windows][melodic-devel] Fix Boost linkage issue and binary install location. (#238 <https://github.com/ros-perception/perception_pcl/issues/238>)
    * fix Windows build break. (#6 <https://github.com/ros-perception/perception_pcl/issues/6>)
    * Fix install path. (#7 <https://github.com/ros-perception/perception_pcl/issues/7>)
  * Wait for transform in transformPointCloud(). (#214 <https://github.com/ros-perception/perception_pcl/issues/214>)
  * Added tf2 versions of functions in transforms.h/hpp. (#231 <https://github.com/ros-perception/perception_pcl/issues/231>)
  * Switch to industrial_ci (#233 <https://github.com/ros-perception/perception_pcl/issues/233>)
    * Use industrial_ci
    * Run for all melodic target platforms
    * Artful EOL; verbose build and tests
    * Use travis_wait
    * Remove travis_wait
    * Download to devel space
    * Mark SYSTEM includes to avoid spurious warnings
    * Don't double-build PRs
  * use <chrono> and <thread> on Windows (#221 <https://github.com/ros-perception/perception_pcl/issues/221>)
    * Changing from usleep to c++14 style sleep_for for Windows support
  * Contributors: Enrique Fernandez Perdomo, James Xu, Jarvis Schultz, Martin Pecka, Paul Bovbel, Sean Yen, Stefan Kohlbrecher, Wolfgang Merkt, moooeeeep

 -- Paul Bovbel <paul@bovbel.com>  Wed, 03 Jul 2019 07:00:00 -0000

ros-noetic-pcl-ros (1.6.2-1buster) buster; urgency=high

  * Fix exported includes in Ubuntu Artful
  * Increase limits on CropBox filter parameters
  * Contributors: James Ward, Jiri Horner

 -- Paul Bovbel <paul@bovbel.com>  Sun, 20 May 2018 07:00:00 -0000

ros-noetic-pcl-ros (1.6.1-1buster) buster; urgency=high

  * Add 1.6.0 section to CHANGELOG.rst
  * Fix the use of Eigen3 in cmake
  * Contributors: Kentaro Wada

 -- Paul Bovbel <paul@bovbel.com>  Tue, 08 May 2018 07:00:00 -0000

ros-noetic-pcl-ros (1.6.0-1buster) buster; urgency=high

  * Fix build and update maintainers
  * Add message_filters to find_package
  * Remove unnecessary dependency on genmsg
  * Contributors: Paul Bovbel, Kentaro Wada

 -- Paul Bovbel <paul@bovbel.com>  Mon, 30 Apr 2018 07:00:00 -0000

ros-noetic-pcl-ros (1.5.4-1buster) buster; urgency=high

  * update to use non deprecated pluginlib macro
  * Fix config path of sample_voxel_grid.launch
  * remove hack now that upstream pcl has been rebuilt
  * Looser hzerror in test for extract_clusters to make it pass on Travis
  * Add sample & test for surface/convex_hull
  * Add sample & test for segmentation/extract_clusters.cpp
  * Add sample & test for io/concatenate_data.cpp
  * Add sample & test for features/normal_3d.cpp
  * Organize samples of pcl_ros/features
  * Add test arg to avoid duplicated testing
  * LazyNodelet for features/*
  * LazyNodelet for filters/ProjectInliers
  * Refactor io/PCDReader and io/PCDWriter as child of PCLNodelet
  * LazyNodelet for io/PointCloudConcatenateFieldsSynchronizer
  * LazyNodelet for io/PointCloudConcatenateDataSynchronizer
  * LazyNodelet for segmentation/SegmentDifferences
  * LazyNodelet for segmentation/SACSegmentationFromNormals
  * LazyNodelet for segmentation/SACSegmentation
  * LazyNodelet for segmentation/ExtractPolygonalPrismData
  * LazyNodelet for segmentation/EuclideanClusterExtraction
  * LazyNodelet for surface/MovingLeastSquares
  * LazyNodelet for surface/ConvexHull2D
  * Add missing COMPONENTS of PCL
  * Inherit NodeletLazy for pipeline with less cpu load
  * Set leaf_size 0.02
  * Install samples
  * Add sample and test for pcl/StatisticalOutlierRemoval
    Conflicts:
    pcl_ros/CMakeLists.txt
  * Add sample and test for pcl/VoxelGrid
    Conflicts:
    pcl_ros/CMakeLists.txt
  * no need to remove duplicates
  * spourious line change

