=== debian/control ===
Source: ros-noetic-pcl-ros
Section: misc
Priority: optional
Maintainer: Paul Bovbel <paul@bovbel.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, libpcl-dev, ros-noetic-catkin, ros-noetic-dynamic-reconfigure, ros-noetic-geometry-msgs, ros-noetic-message-filters, ros-noetic-nodelet, ros-noetic-nodelet-topic-tools, ros-noetic-pcl-conversions, ros-noetic-pcl-msgs, ros-noetic-pluginlib, ros-noetic-rosbag, ros-noetic-rosconsole, ros-noetic-roscpp, ros-noetic-roslib, ros-noetic-rostest, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-tf, ros-noetic-tf2, ros-noetic-tf2-eigen, ros-noetic-tf2-ros
Homepage: http://ros.org/wiki/perception_pcl
Standards-Version: 3.9.2

Package: ros-noetic-pcl-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, libpcl-dev, ros-noetic-dynamic-reconfigure, ros-noetic-geometry-msgs, ros-noetic-message-filters, ros-noetic-nodelet, ros-noetic-nodelet-topic-tools, ros-noetic-pcl-conversions, ros-noetic-pcl-msgs, ros-noetic-pluginlib, ros-noetic-rosbag, ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-tf, ros-noetic-tf2, ros-noetic-tf2-eigen, ros-noetic-tf2-ros
Description: PCL (Point Cloud Library) ROS interface stack.
 PCL-ROS is the preferred bridge for 3D applications involving n-D Point Clouds and 3D geometry processing in ROS.
